import{s as Ze,n as et,o as tt}from"../chunks/scheduler.6062bdaf.js";import{S as nt,i as st,g as a,s as i,r as b,A as it,h as c,f as t,c as o,j as v,u as D,x as u,k as q,y as s,a as r,v as x,d as y,t as C,w as $}from"../chunks/index.4bca734e.js";import{D as S}from"../chunks/Docstring.ed07512f.js";import{H as Ye}from"../chunks/Heading.723dceba.js";function ot(We){let p,ae,ie,ce,P,re,w,Ie=`Check the <a href="/docs/huggingface_hub/v0.22.2/en/package_reference/hf_api#huggingface_hub.HfApi">HfApi</a> documentation page for the reference of methods enabling
interaction with Pull Requests and Discussions on the Hub.`,ue,R,Me='<li><a href="/docs/huggingface_hub/v0.22.2/en/package_reference/hf_api#huggingface_hub.HfApi.get_repo_discussions">get_repo_discussions()</a></li> <li><a href="/docs/huggingface_hub/v0.22.2/en/package_reference/hf_api#huggingface_hub.HfApi.get_discussion_details">get_discussion_details()</a></li> <li><a href="/docs/huggingface_hub/v0.22.2/en/package_reference/hf_api#huggingface_hub.HfApi.create_discussion">create_discussion()</a></li> <li><a href="/docs/huggingface_hub/v0.22.2/en/package_reference/hf_api#huggingface_hub.HfApi.create_pull_request">create_pull_request()</a></li> <li><a href="/docs/huggingface_hub/v0.22.2/en/package_reference/hf_api#huggingface_hub.HfApi.rename_discussion">rename_discussion()</a></li> <li><a href="/docs/huggingface_hub/v0.22.2/en/package_reference/hf_api#huggingface_hub.HfApi.comment_discussion">comment_discussion()</a></li> <li><a href="/docs/huggingface_hub/v0.22.2/en/package_reference/hf_api#huggingface_hub.HfApi.edit_discussion_comment">edit_discussion_comment()</a></li> <li><a href="/docs/huggingface_hub/v0.22.2/en/package_reference/hf_api#huggingface_hub.HfApi.change_discussion_status">change_discussion_status()</a></li> <li><a href="/docs/huggingface_hub/v0.22.2/en/package_reference/hf_api#huggingface_hub.HfApi.merge_pull_request">merge_pull_request()</a></li>',he,H,ge,g,A,qe,j,Se="A Discussion or Pull Request on the Hub.",xe,U,je="This dataclass is not intended to be instantiated directly.",de,_,L,ye,N,Ue='Subclass of <a href="/docs/huggingface_hub/v0.22.2/en/package_reference/community#huggingface_hub.Discussion">Discussion</a>.',le,h,E,Ce,V,Ne="An event in a Discussion or Pull Request.",$e,O,Ve="Use concrete classes:",Te,z,Oe='<li><a href="/docs/huggingface_hub/v0.22.2/en/package_reference/community#huggingface_hub.DiscussionComment">DiscussionComment</a></li> <li><a href="/docs/huggingface_hub/v0.22.2/en/package_reference/community#huggingface_hub.DiscussionStatusChange">DiscussionStatusChange</a></li> <li><a href="/docs/huggingface_hub/v0.22.2/en/package_reference/community#huggingface_hub.DiscussionCommit">DiscussionCommit</a></li> <li><a href="/docs/huggingface_hub/v0.22.2/en/package_reference/community#huggingface_hub.DiscussionTitleChange">DiscussionTitleChange</a></li>',me,d,k,Pe,F,ze="A comment in a Discussion / Pull Request.",we,G,Fe='Subclass of <a href="/docs/huggingface_hub/v0.22.2/en/package_reference/community#huggingface_hub.DiscussionEvent">DiscussionEvent</a>.',fe,l,W,Re,B,Ge="A change of status in a Discussion / Pull Request.",He,J,Be='Subclass of <a href="/docs/huggingface_hub/v0.22.2/en/package_reference/community#huggingface_hub.DiscussionEvent">DiscussionEvent</a>.',pe,m,I,Ae,K,Je="A commit in a Pull Request.",Le,Q,Ke='Subclass of <a href="/docs/huggingface_hub/v0.22.2/en/package_reference/community#huggingface_hub.DiscussionEvent">DiscussionEvent</a>.',_e,f,M,Ee,X,Qe="A rename event in a Discussion / Pull Request.",ke,Y,Xe='Subclass of <a href="/docs/huggingface_hub/v0.22.2/en/package_reference/community#huggingface_hub.DiscussionEvent">DiscussionEvent</a>.',be,oe,ve;return P=new Ye({props:{title:"Interacting with Discussions and Pull Requests",local:"interacting-with-discussions-and-pull-requests",headingTag:"h1"}}),H=new Ye({props:{title:"Data structures",local:"huggingface_hub.Discussion",headingTag:"h2"}}),A=new S({props:{name:"class huggingface_hub.Discussion",anchor:"huggingface_hub.Discussion",parameters:[{name:"title",val:": str"},{name:"status",val:": Literal"},{name:"num",val:": int"},{name:"repo_id",val:": str"},{name:"repo_type",val:": str"},{name:"author",val:": str"},{name:"is_pull_request",val:": bool"},{name:"created_at",val:": datetime"},{name:"endpoint",val:": str"}],parametersDescription:[{anchor:"huggingface_hub.Discussion.title",description:`<strong>title</strong> (<code>str</code>) &#x2014;
The title of the Discussion / Pull Request`,name:"title"},{anchor:"huggingface_hub.Discussion.status",description:`<strong>status</strong> (<code>str</code>) &#x2014;
The status of the Discussion / Pull Request.
It must be one of:<ul>
<li><code>&quot;open&quot;</code></li>
<li><code>&quot;closed&quot;</code></li>
<li><code>&quot;merged&quot;</code> (only for Pull Requests )</li>
<li><code>&quot;draft&quot;</code> (only for Pull Requests )</li>
</ul>`,name:"status"},{anchor:"huggingface_hub.Discussion.num",description:`<strong>num</strong> (<code>int</code>) &#x2014;
The number of the Discussion / Pull Request.`,name:"num"},{anchor:"huggingface_hub.Discussion.repo_id",description:`<strong>repo_id</strong> (<code>str</code>) &#x2014;
The id (<code>&quot;{namespace}/{repo_name}&quot;</code>) of the repo on which
the Discussion / Pull Request was open.`,name:"repo_id"},{anchor:"huggingface_hub.Discussion.repo_type",description:`<strong>repo_type</strong> (<code>str</code>) &#x2014;
The type of the repo on which the Discussion / Pull Request was open.
Possible values are: <code>&quot;model&quot;</code>, <code>&quot;dataset&quot;</code>, <code>&quot;space&quot;</code>.`,name:"repo_type"},{anchor:"huggingface_hub.Discussion.author",description:`<strong>author</strong> (<code>str</code>) &#x2014;
The username of the Discussion / Pull Request author.
Can be <code>&quot;deleted&quot;</code> if the user has been deleted since.`,name:"author"},{anchor:"huggingface_hub.Discussion.is_pull_request",description:`<strong>is_pull_request</strong> (<code>bool</code>) &#x2014;
Whether or not this is a Pull Request.`,name:"is_pull_request"},{anchor:"huggingface_hub.Discussion.created_at",description:`<strong>created_at</strong> (<code>datetime</code>) &#x2014;
The <code>datetime</code> of creation of the Discussion / Pull Request.`,name:"created_at"},{anchor:"huggingface_hub.Discussion.endpoint",description:`<strong>endpoint</strong> (<code>str</code>) &#x2014;
Endpoint of the Hub. Default is <a href="https://huggingface.co" rel="nofollow">https://huggingface.co</a>.`,name:"endpoint"},{anchor:"huggingface_hub.Discussion.git_reference",description:`<strong>git_reference</strong> (<code>str</code>, <em>optional</em>) &#x2014;
(property) Git reference to which changes can be pushed if this is a Pull Request, <code>None</code> otherwise.`,name:"git_reference"},{anchor:"huggingface_hub.Discussion.url",description:`<strong>url</strong> (<code>str</code>) &#x2014;
(property) URL of the discussion on the Hub.`,name:"url"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.2/src/huggingface_hub/community.py#L19"}}),L=new S({props:{name:"class huggingface_hub.DiscussionWithDetails",anchor:"huggingface_hub.DiscussionWithDetails",parameters:[{name:"title",val:": str"},{name:"status",val:": Literal"},{name:"num",val:": int"},{name:"repo_id",val:": str"},{name:"repo_type",val:": str"},{name:"author",val:": str"},{name:"is_pull_request",val:": bool"},{name:"created_at",val:": datetime"},{name:"endpoint",val:": str"},{name:"events",val:": List"},{name:"conflicting_files",val:": Union"},{name:"target_branch",val:": Optional"},{name:"merge_commit_oid",val:": Optional"},{name:"diff",val:": Optional"}],parametersDescription:[{anchor:"huggingface_hub.DiscussionWithDetails.title",description:`<strong>title</strong> (<code>str</code>) &#x2014;
The title of the Discussion / Pull Request`,name:"title"},{anchor:"huggingface_hub.DiscussionWithDetails.status",description:`<strong>status</strong> (<code>str</code>) &#x2014;
The status of the Discussion / Pull Request.
It can be one of:<ul>
<li><code>&quot;open&quot;</code></li>
<li><code>&quot;closed&quot;</code></li>
<li><code>&quot;merged&quot;</code> (only for Pull Requests )</li>
<li><code>&quot;draft&quot;</code> (only for Pull Requests )</li>
</ul>`,name:"status"},{anchor:"huggingface_hub.DiscussionWithDetails.num",description:`<strong>num</strong> (<code>int</code>) &#x2014;
The number of the Discussion / Pull Request.`,name:"num"},{anchor:"huggingface_hub.DiscussionWithDetails.repo_id",description:`<strong>repo_id</strong> (<code>str</code>) &#x2014;
The id (<code>&quot;{namespace}/{repo_name}&quot;</code>) of the repo on which
the Discussion / Pull Request was open.`,name:"repo_id"},{anchor:"huggingface_hub.DiscussionWithDetails.repo_type",description:`<strong>repo_type</strong> (<code>str</code>) &#x2014;
The type of the repo on which the Discussion / Pull Request was open.
Possible values are: <code>&quot;model&quot;</code>, <code>&quot;dataset&quot;</code>, <code>&quot;space&quot;</code>.`,name:"repo_type"},{anchor:"huggingface_hub.DiscussionWithDetails.author",description:`<strong>author</strong> (<code>str</code>) &#x2014;
The username of the Discussion / Pull Request author.
Can be <code>&quot;deleted&quot;</code> if the user has been deleted since.`,name:"author"},{anchor:"huggingface_hub.DiscussionWithDetails.is_pull_request",description:`<strong>is_pull_request</strong> (<code>bool</code>) &#x2014;
Whether or not this is a Pull Request.`,name:"is_pull_request"},{anchor:"huggingface_hub.DiscussionWithDetails.created_at",description:`<strong>created_at</strong> (<code>datetime</code>) &#x2014;
The <code>datetime</code> of creation of the Discussion / Pull Request.`,name:"created_at"},{anchor:"huggingface_hub.DiscussionWithDetails.events",description:`<strong>events</strong> (<code>list</code> of <a href="/docs/huggingface_hub/v0.22.2/en/package_reference/community#huggingface_hub.DiscussionEvent">DiscussionEvent</a>) &#x2014;
The list of <code>DiscussionEvents</code> in this Discussion or Pull Request.`,name:"events"},{anchor:"huggingface_hub.DiscussionWithDetails.conflicting_files",description:`<strong>conflicting_files</strong> (<code>Union[List[str], bool, None]</code>, <em>optional</em>) &#x2014;
A list of conflicting files if this is a Pull Request.
<code>None</code> if <code>self.is_pull_request</code> is <code>False</code>.
<code>True</code> if there are conflicting files but the list can&#x2019;t be retrieved.`,name:"conflicting_files"},{anchor:"huggingface_hub.DiscussionWithDetails.target_branch",description:`<strong>target_branch</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The branch into which changes are to be merged if this is a
Pull Request . <code>None</code>  if <code>self.is_pull_request</code> is <code>False</code>.`,name:"target_branch"},{anchor:"huggingface_hub.DiscussionWithDetails.merge_commit_oid",description:`<strong>merge_commit_oid</strong> (<code>str</code>, <em>optional</em>) &#x2014;
If this is a merged Pull Request , this is set to the OID / SHA of
the merge commit, <code>None</code> otherwise.`,name:"merge_commit_oid"},{anchor:"huggingface_hub.DiscussionWithDetails.diff",description:`<strong>diff</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The git diff if this is a Pull Request , <code>None</code> otherwise.`,name:"diff"},{anchor:"huggingface_hub.DiscussionWithDetails.endpoint",description:`<strong>endpoint</strong> (<code>str</code>) &#x2014;
Endpoint of the Hub. Default is <a href="https://huggingface.co" rel="nofollow">https://huggingface.co</a>.`,name:"endpoint"},{anchor:"huggingface_hub.DiscussionWithDetails.git_reference",description:`<strong>git_reference</strong> (<code>str</code>, <em>optional</em>) &#x2014;
(property) Git reference to which changes can be pushed if this is a Pull Request, <code>None</code> otherwise.`,name:"git_reference"},{anchor:"huggingface_hub.DiscussionWithDetails.url",description:`<strong>url</strong> (<code>str</code>) &#x2014;
(property) URL of the discussion on the Hub.`,name:"url"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.2/src/huggingface_hub/community.py#L87"}}),E=new S({props:{name:"class huggingface_hub.DiscussionEvent",anchor:"huggingface_hub.DiscussionEvent",parameters:[{name:"id",val:": str"},{name:"type",val:": str"},{name:"created_at",val:": datetime"},{name:"author",val:": str"},{name:"_event",val:": dict"}],parametersDescription:[{anchor:"huggingface_hub.DiscussionEvent.id",description:`<strong>id</strong> (<code>str</code>) &#x2014;
The ID of the event. An hexadecimal string.`,name:"id"},{anchor:"huggingface_hub.DiscussionEvent.type",description:`<strong>type</strong> (<code>str</code>) &#x2014;
The type of the event.`,name:"type"},{anchor:"huggingface_hub.DiscussionEvent.created_at",description:`<strong>created_at</strong> (<code>datetime</code>) &#x2014;
A <a href="https://docs.python.org/3/library/datetime.html?highlight=datetime#datetime.datetime" rel="nofollow"><code>datetime</code></a>
object holding the creation timestamp for the event.`,name:"created_at"},{anchor:"huggingface_hub.DiscussionEvent.author",description:`<strong>author</strong> (<code>str</code>) &#x2014;
The username of the Discussion / Pull Request author.
Can be <code>&quot;deleted&quot;</code> if the user has been deleted since.`,name:"author"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.2/src/huggingface_hub/community.py#L146"}}),k=new S({props:{name:"class huggingface_hub.DiscussionComment",anchor:"huggingface_hub.DiscussionComment",parameters:[{name:"id",val:": str"},{name:"type",val:": str"},{name:"created_at",val:": datetime"},{name:"author",val:": str"},{name:"_event",val:": dict"},{name:"content",val:": str"},{name:"edited",val:": bool"},{name:"hidden",val:": bool"}],parametersDescription:[{anchor:"huggingface_hub.DiscussionComment.id",description:`<strong>id</strong> (<code>str</code>) &#x2014;
The ID of the event. An hexadecimal string.`,name:"id"},{anchor:"huggingface_hub.DiscussionComment.type",description:`<strong>type</strong> (<code>str</code>) &#x2014;
The type of the event.`,name:"type"},{anchor:"huggingface_hub.DiscussionComment.created_at",description:`<strong>created_at</strong> (<code>datetime</code>) &#x2014;
A <a href="https://docs.python.org/3/library/datetime.html?highlight=datetime#datetime.datetime" rel="nofollow"><code>datetime</code></a>
object holding the creation timestamp for the event.`,name:"created_at"},{anchor:"huggingface_hub.DiscussionComment.author",description:`<strong>author</strong> (<code>str</code>) &#x2014;
The username of the Discussion / Pull Request author.
Can be <code>&quot;deleted&quot;</code> if the user has been deleted since.`,name:"author"},{anchor:"huggingface_hub.DiscussionComment.content",description:`<strong>content</strong> (<code>str</code>) &#x2014;
The raw markdown content of the comment. Mentions, links and images are not rendered.`,name:"content"},{anchor:"huggingface_hub.DiscussionComment.edited",description:`<strong>edited</strong> (<code>bool</code>) &#x2014;
Whether or not this comment has been edited.`,name:"edited"},{anchor:"huggingface_hub.DiscussionComment.hidden",description:`<strong>hidden</strong> (<code>bool</code>) &#x2014;
Whether or not this comment has been hidden.`,name:"hidden"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.2/src/huggingface_hub/community.py#L179"}}),W=new S({props:{name:"class huggingface_hub.DiscussionStatusChange",anchor:"huggingface_hub.DiscussionStatusChange",parameters:[{name:"id",val:": str"},{name:"type",val:": str"},{name:"created_at",val:": datetime"},{name:"author",val:": str"},{name:"_event",val:": dict"},{name:"new_status",val:": str"}],parametersDescription:[{anchor:"huggingface_hub.DiscussionStatusChange.id",description:`<strong>id</strong> (<code>str</code>) &#x2014;
The ID of the event. An hexadecimal string.`,name:"id"},{anchor:"huggingface_hub.DiscussionStatusChange.type",description:`<strong>type</strong> (<code>str</code>) &#x2014;
The type of the event.`,name:"type"},{anchor:"huggingface_hub.DiscussionStatusChange.created_at",description:`<strong>created_at</strong> (<code>datetime</code>) &#x2014;
A <a href="https://docs.python.org/3/library/datetime.html?highlight=datetime#datetime.datetime" rel="nofollow"><code>datetime</code></a>
object holding the creation timestamp for the event.`,name:"created_at"},{anchor:"huggingface_hub.DiscussionStatusChange.author",description:`<strong>author</strong> (<code>str</code>) &#x2014;
The username of the Discussion / Pull Request author.
Can be <code>&quot;deleted&quot;</code> if the user has been deleted since.`,name:"author"},{anchor:"huggingface_hub.DiscussionStatusChange.new_status",description:`<strong>new_status</strong> (<code>str</code>) &#x2014;
The status of the Discussion / Pull Request after the change.
It can be one of:<ul>
<li><code>&quot;open&quot;</code></li>
<li><code>&quot;closed&quot;</code></li>
<li><code>&quot;merged&quot;</code> (only for Pull Requests )</li>
</ul>`,name:"new_status"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.2/src/huggingface_hub/community.py#L234"}}),I=new S({props:{name:"class huggingface_hub.DiscussionCommit",anchor:"huggingface_hub.DiscussionCommit",parameters:[{name:"id",val:": str"},{name:"type",val:": str"},{name:"created_at",val:": datetime"},{name:"author",val:": str"},{name:"_event",val:": dict"},{name:"summary",val:": str"},{name:"oid",val:": str"}],parametersDescription:[{anchor:"huggingface_hub.DiscussionCommit.id",description:`<strong>id</strong> (<code>str</code>) &#x2014;
The ID of the event. An hexadecimal string.`,name:"id"},{anchor:"huggingface_hub.DiscussionCommit.type",description:`<strong>type</strong> (<code>str</code>) &#x2014;
The type of the event.`,name:"type"},{anchor:"huggingface_hub.DiscussionCommit.created_at",description:`<strong>created_at</strong> (<code>datetime</code>) &#x2014;
A <a href="https://docs.python.org/3/library/datetime.html?highlight=datetime#datetime.datetime" rel="nofollow"><code>datetime</code></a>
object holding the creation timestamp for the event.`,name:"created_at"},{anchor:"huggingface_hub.DiscussionCommit.author",description:`<strong>author</strong> (<code>str</code>) &#x2014;
The username of the Discussion / Pull Request author.
Can be <code>&quot;deleted&quot;</code> if the user has been deleted since.`,name:"author"},{anchor:"huggingface_hub.DiscussionCommit.summary",description:`<strong>summary</strong> (<code>str</code>) &#x2014;
The summary of the commit.`,name:"summary"},{anchor:"huggingface_hub.DiscussionCommit.oid",description:`<strong>oid</strong> (<code>str</code>) &#x2014;
The OID / SHA of the commit, as a hexadecimal string.`,name:"oid"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.2/src/huggingface_hub/community.py#L262"}}),M=new S({props:{name:"class huggingface_hub.DiscussionTitleChange",anchor:"huggingface_hub.DiscussionTitleChange",parameters:[{name:"id",val:": str"},{name:"type",val:": str"},{name:"created_at",val:": datetime"},{name:"author",val:": str"},{name:"_event",val:": dict"},{name:"old_title",val:": str"},{name:"new_title",val:": str"}],parametersDescription:[{anchor:"huggingface_hub.DiscussionTitleChange.id",description:`<strong>id</strong> (<code>str</code>) &#x2014;
The ID of the event. An hexadecimal string.`,name:"id"},{anchor:"huggingface_hub.DiscussionTitleChange.type",description:`<strong>type</strong> (<code>str</code>) &#x2014;
The type of the event.`,name:"type"},{anchor:"huggingface_hub.DiscussionTitleChange.created_at",description:`<strong>created_at</strong> (<code>datetime</code>) &#x2014;
A <a href="https://docs.python.org/3/library/datetime.html?highlight=datetime#datetime.datetime" rel="nofollow"><code>datetime</code></a>
object holding the creation timestamp for the event.`,name:"created_at"},{anchor:"huggingface_hub.DiscussionTitleChange.author",description:`<strong>author</strong> (<code>str</code>) &#x2014;
The username of the Discussion / Pull Request author.
Can be <code>&quot;deleted&quot;</code> if the user has been deleted since.`,name:"author"},{anchor:"huggingface_hub.DiscussionTitleChange.old_title",description:`<strong>old_title</strong> (<code>str</code>) &#x2014;
The previous title for the Discussion / Pull Request.`,name:"old_title"},{anchor:"huggingface_hub.DiscussionTitleChange.new_title",description:`<strong>new_title</strong> (<code>str</code>) &#x2014;
The new title.`,name:"new_title"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.22.2/src/huggingface_hub/community.py#L289"}}),{c(){p=a("meta"),ae=i(),ie=a("p"),ce=i(),b(P.$$.fragment),re=i(),w=a("p"),w.innerHTML=Ie,ue=i(),R=a("ul"),R.innerHTML=Me,he=i(),b(H.$$.fragment),ge=i(),g=a("div"),b(A.$$.fragment),qe=i(),j=a("p"),j.textContent=Se,xe=i(),U=a("p"),U.textContent=je,de=i(),_=a("div"),b(L.$$.fragment),ye=i(),N=a("p"),N.innerHTML=Ue,le=i(),h=a("div"),b(E.$$.fragment),Ce=i(),V=a("p"),V.textContent=Ne,$e=i(),O=a("p"),O.textContent=Ve,Te=i(),z=a("ul"),z.innerHTML=Oe,me=i(),d=a("div"),b(k.$$.fragment),Pe=i(),F=a("p"),F.textContent=ze,we=i(),G=a("p"),G.innerHTML=Fe,fe=i(),l=a("div"),b(W.$$.fragment),Re=i(),B=a("p"),B.textContent=Ge,He=i(),J=a("p"),J.innerHTML=Be,pe=i(),m=a("div"),b(I.$$.fragment),Ae=i(),K=a("p"),K.textContent=Je,Le=i(),Q=a("p"),Q.innerHTML=Ke,_e=i(),f=a("div"),b(M.$$.fragment),Ee=i(),X=a("p"),X.textContent=Qe,ke=i(),Y=a("p"),Y.innerHTML=Xe,be=i(),oe=a("p"),this.h()},l(e){const n=it("svelte-u9bgzb",document.head);p=c(n,"META",{name:!0,content:!0}),n.forEach(t),ae=o(e),ie=c(e,"P",{}),v(ie).forEach(t),ce=o(e),D(P.$$.fragment,e),re=o(e),w=c(e,"P",{"data-svelte-h":!0}),u(w)!=="svelte-fxqds9"&&(w.innerHTML=Ie),ue=o(e),R=c(e,"UL",{"data-svelte-h":!0}),u(R)!=="svelte-18xp9hv"&&(R.innerHTML=Me),he=o(e),D(H.$$.fragment,e),ge=o(e),g=c(e,"DIV",{class:!0});var Z=v(g);D(A.$$.fragment,Z),qe=o(Z),j=c(Z,"P",{"data-svelte-h":!0}),u(j)!=="svelte-hsew6z"&&(j.textContent=Se),xe=o(Z),U=c(Z,"P",{"data-svelte-h":!0}),u(U)!=="svelte-cin3fe"&&(U.textContent=je),Z.forEach(t),de=o(e),_=c(e,"DIV",{class:!0});var De=v(_);D(L.$$.fragment,De),ye=o(De),N=c(De,"P",{"data-svelte-h":!0}),u(N)!=="svelte-kbw5ne"&&(N.innerHTML=Ue),De.forEach(t),le=o(e),h=c(e,"DIV",{class:!0});var T=v(h);D(E.$$.fragment,T),Ce=o(T),V=c(T,"P",{"data-svelte-h":!0}),u(V)!=="svelte-1mr0otk"&&(V.textContent=Ne),$e=o(T),O=c(T,"P",{"data-svelte-h":!0}),u(O)!=="svelte-ieg5lw"&&(O.textContent=Ve),Te=o(T),z=c(T,"UL",{"data-svelte-h":!0}),u(z)!=="svelte-1fz67ue"&&(z.innerHTML=Oe),T.forEach(t),me=o(e),d=c(e,"DIV",{class:!0});var ee=v(d);D(k.$$.fragment,ee),Pe=o(ee),F=c(ee,"P",{"data-svelte-h":!0}),u(F)!=="svelte-3bqgej"&&(F.textContent=ze),we=o(ee),G=c(ee,"P",{"data-svelte-h":!0}),u(G)!=="svelte-16atf4u"&&(G.innerHTML=Fe),ee.forEach(t),fe=o(e),l=c(e,"DIV",{class:!0});var te=v(l);D(W.$$.fragment,te),Re=o(te),B=c(te,"P",{"data-svelte-h":!0}),u(B)!=="svelte-9d6753"&&(B.textContent=Ge),He=o(te),J=c(te,"P",{"data-svelte-h":!0}),u(J)!=="svelte-16atf4u"&&(J.innerHTML=Be),te.forEach(t),pe=o(e),m=c(e,"DIV",{class:!0});var ne=v(m);D(I.$$.fragment,ne),Ae=o(ne),K=c(ne,"P",{"data-svelte-h":!0}),u(K)!=="svelte-1jct6gw"&&(K.textContent=Je),Le=o(ne),Q=c(ne,"P",{"data-svelte-h":!0}),u(Q)!=="svelte-16atf4u"&&(Q.innerHTML=Ke),ne.forEach(t),_e=o(e),f=c(e,"DIV",{class:!0});var se=v(f);D(M.$$.fragment,se),Ee=o(se),X=c(se,"P",{"data-svelte-h":!0}),u(X)!=="svelte-1x0b7r2"&&(X.textContent=Qe),ke=o(se),Y=c(se,"P",{"data-svelte-h":!0}),u(Y)!=="svelte-16atf4u"&&(Y.innerHTML=Xe),se.forEach(t),be=o(e),oe=c(e,"P",{}),v(oe).forEach(t),this.h()},h(){q(p,"name","hf:doc:metadata"),q(p,"content",at),q(g,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(_,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(h,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(d,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(l,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(m,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(f,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,n){s(document.head,p),r(e,ae,n),r(e,ie,n),r(e,ce,n),x(P,e,n),r(e,re,n),r(e,w,n),r(e,ue,n),r(e,R,n),r(e,he,n),x(H,e,n),r(e,ge,n),r(e,g,n),x(A,g,null),s(g,qe),s(g,j),s(g,xe),s(g,U),r(e,de,n),r(e,_,n),x(L,_,null),s(_,ye),s(_,N),r(e,le,n),r(e,h,n),x(E,h,null),s(h,Ce),s(h,V),s(h,$e),s(h,O),s(h,Te),s(h,z),r(e,me,n),r(e,d,n),x(k,d,null),s(d,Pe),s(d,F),s(d,we),s(d,G),r(e,fe,n),r(e,l,n),x(W,l,null),s(l,Re),s(l,B),s(l,He),s(l,J),r(e,pe,n),r(e,m,n),x(I,m,null),s(m,Ae),s(m,K),s(m,Le),s(m,Q),r(e,_e,n),r(e,f,n),x(M,f,null),s(f,Ee),s(f,X),s(f,ke),s(f,Y),r(e,be,n),r(e,oe,n),ve=!0},p:et,i(e){ve||(y(P.$$.fragment,e),y(H.$$.fragment,e),y(A.$$.fragment,e),y(L.$$.fragment,e),y(E.$$.fragment,e),y(k.$$.fragment,e),y(W.$$.fragment,e),y(I.$$.fragment,e),y(M.$$.fragment,e),ve=!0)},o(e){C(P.$$.fragment,e),C(H.$$.fragment,e),C(A.$$.fragment,e),C(L.$$.fragment,e),C(E.$$.fragment,e),C(k.$$.fragment,e),C(W.$$.fragment,e),C(I.$$.fragment,e),C(M.$$.fragment,e),ve=!1},d(e){e&&(t(ae),t(ie),t(ce),t(re),t(w),t(ue),t(R),t(he),t(ge),t(g),t(de),t(_),t(le),t(h),t(me),t(d),t(fe),t(l),t(pe),t(m),t(_e),t(f),t(be),t(oe)),t(p),$(P,e),$(H,e),$(A),$(L),$(E),$(k),$(W),$(I),$(M)}}}const at='{"title":"Interacting with Discussions and Pull Requests","local":"interacting-with-discussions-and-pull-requests","sections":[{"title":"Data structures","local":"huggingface_hub.Discussion","sections":[],"depth":2}],"depth":1}';function ct(We){return tt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class dt extends nt{constructor(p){super(),st(this,p,ct,ot,Ze,{})}}export{dt as component};
